%bcond_with tests

Summary: 	Crypto and SSL toolkit for Python
Name: 		python-m2crypto
Version: 	0.38.0
Release: 	%mkrel 4
License:	MIT
Group: 		Development/Python
URL: 		https://gitlab.com/m2crypto/m2crypto
Source0:	https://pypi.io/packages/source/M/M2Crypto/M2Crypto-%{version}.tar.gz
Patch1:		0001-Add-D__linux__-to-swig-options.patch
Patch2:		0001-Fix-arm-build.patch
Patch3:		84c53958def0f510e92119fca14d74f94215827a.patch
BuildRequires:	gcc
BuildRequires:	openssl
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(openssl)
BuildRequires:	swig
BuildRequires:	which
BuildRequires:	crypto-policies >= 20191128

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%package -n	python3-m2crypto
Summary:	Crypto and SSL toolkit for Python 3
Group: 		Development/Python
%{?python_provide:%python_provide python3-m2crypto}
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
# Python 2 subpackage is being replaced
Obsoletes:	python2-m2crypto < 0.35.2

%description -n	python3-m2crypto
M2Crypto is a crypto and SSL toolkit for Python 3 featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%prep
%autosetup -n M2Crypto-%{version} -p1

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%{__python3} setup.py test
%endif

%files -n python3-m2crypto
%doc CHANGES README.rst
%license LICENCE
%{python3_sitearch}/M2Crypto
%{python3_sitearch}/M2Crypto-*.egg-info



%changelog
* Sun Jul 24 2022 papoteur <papoteur> 0.38.0-4.mga9
+ Revision: 1870855
- Mitigate the Bleichenbacher timing attacks in the RSA decryption API (CVE-2020-25657) (mga#30661)

* Thu Mar 31 2022 umeabot <umeabot> 0.38.0-3.mga9
+ Revision: 1836420
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.38.0-2.mga9
+ Revision: 1783793
- rebuild for python-3.10

* Sat Oct 02 2021 wally <wally> 0.38.0-1.mga9
+ Revision: 1748404
- new version 0.38.0
- rebuild for openssl 3.0.0

* Tue Apr 20 2021 daviddavid <daviddavid> 0.35.2-4.mga9
+ Revision: 1717273
- rebuild for python 3.9

* Sat Feb 22 2020 pterjan <pterjan> 0.35.2-3.mga8
+ Revision: 1549481
- Fix build on armv8 machines

* Tue Feb 18 2020 umeabot <umeabot> 0.35.2-2.mga8
+ Revision: 1542000
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 wally <wally> 0.35.2-1.mga8
+ Revision: 1475880
- add patch to fix arm build
- add patch to fix build issue with swig (mga#25852)
- clean .spec
+ ngompa <ngompa>
- Rebase to version 0.35.2
- Drop Python 2 subpackage

* Sun Sep 23 2018 umeabot <umeabot> 0.26.4-5.mga7
+ Revision: 1300521
- Mageia 7 Mass Rebuild

* Wed Sep 27 2017 cjw <cjw> 0.26.4-4.mga7
+ Revision: 1160770
- includ gcc predefinitions in swig to fix the build properly

* Wed Sep 27 2017 cjw <cjw> 0.26.4-3.mga7
+ Revision: 1160622
- second try to fix the build for armv7hl

* Wed Sep 27 2017 cjw <cjw> 0.26.4-2.mga7
+ Revision: 1160618
- fix arm build

* Wed Sep 27 2017 daviddavid <daviddavid> 0.26.4-1.mga7
+ Revision: 1160605
- new version: 0.26.4
- rename python-m2crypto to python2-m2crypto

* Fri Mar 04 2016 philippem <philippem> 0.23.0-1.mga6
+ Revision: 985743
- fix doc README
- update to 0.23.0
- remove patch applied upstream
- change upstream url

* Fri Mar 04 2016 daviddavid <daviddavid> 0.22.5-4.mga6
+ Revision: 985714
- add patch1 to disable SSLv2 support (this fixes some build: crda, enca2ools)

* Thu Mar 03 2016 umeabot <umeabot> 0.22.5-3.mga6
+ Revision: 983940
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Fri Nov 20 2015 philippem <philippem> 0.22.5-1.mga6
+ Revision: 904503
- update to 0.22.5, Fix a buffer overflow in EVP.pbkdf2 (mga#17179)

* Wed Oct 15 2014 umeabot <umeabot> 0.22.3-5.mga5
+ Revision: 740726
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.22.3-4.mga5
+ Revision: 728979
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.22.3-3.mga5
+ Revision: 688136
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Feb 25 2014 philippem <philippem> 0.22.3-1.mga5
+ Revision: 597140
- update to 0.22.3

* Tue Oct 22 2013 umeabot <umeabot> 0.21.1-3.mga4
+ Revision: 543779
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.21.1-2.mga4
+ Revision: 498879
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.21.1-1.mga4
+ Revision: 491668
- Update to 0.21.1

* Sun Jan 13 2013 umeabot <umeabot> 0.20.2-6.mga3
+ Revision: 379095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.20.2-5.mga1
+ Revision: 55722
- rebuild to make all pythonegg requires/provides lowercase
- replace the deprecated %%py_requires -d macro with BR python-devel

* Mon Jan 17 2011 pterjan <pterjan> 0.20.2-4.mga1
+ Revision: 21296
- Rebuild for python 2.7
+ blino <blino>
- imported package python-m2crypto


* Wed Apr 07 2010 Funda Wang <fwang@mandriva.org> 0.20.2-3mdv2010.1
+ Revision: 532467
- fix build with openssl 1.0 (patch from archlinux)

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.20.2-2mdv2010.1
+ Revision: 511632
- rebuilt against openssl-0.9.8m

* Sat Nov 21 2009 Funda Wang <fwang@mandriva.org> 0.20.2-1mdv2010.1
+ Revision: 468012
- New version 0.20.2

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.17-3mdv2009.0
+ Revision: 242420
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 27 2007 Pascal Terjan <pterjan@mandriva.org> 0.17-1mdv2008.0
+ Revision: 31668
- use python macro
- ship .egg-info
- 0.17


* Wed Nov 30 2005 Lenny Cartier <lenny@mandriva.com> 0.13-4mdk
- reupload and clean spec

* Tue Mar 01 2005 Michael Scherer <misc@mandrake.org> 0.13-3mdk
- Rebuild for new python
- fix compilation ( patch 0 )

* Sun May 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-2mdk
- FIx DIRM

* Mon Apr 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-1mdk
- First Mandrake package

